Loading...
Searching...
No Matches
hack_array< T, sequential, A >

## Detailed Description

template<class T, class A>
class rheolef::hack_array< T, sequential, A >

Definition at line 355 of file hack_array.h.

Inheritance diagram for hack_array< T, sequential, A >:

## Public Types

typedef hack_array_seq_rep< T, A > | rep
typedef smart_pointer< rep > | base
typedef sequential | memory_type
typedef rep::size_type | size_type
typedef rep::value_type | value_type
typedef rep::reference | reference
typedef rep::dis_reference | dis_reference
typedef rep::iterator | iterator
typedef rep::const_reference | const_reference
typedef rep::const_iterator | const_iterator
typedef rep::parameter_type | parameter_type
Public Types inherited from smart_pointer< hack_array_seq_rep< T, A > >
typedef hack_array_seq_rep< T, A > | handled_type
typedef base::internal | internal

## Public Member Functions

| hack_array (const A &alloc=A())
| hack_array (size_type loc_size, const parameter_type &param, const A &alloc=A())
void | resize (const distributor &ownership, const parameter_type &param)
| hack_array (const distributor &ownership, const parameter_type &param, const A &alloc=A())
void | resize (size_type loc_size, const parameter_type &param)
A | get_allocator () const
size_type | size () const
size_type | dis_size () const
const distributor & | ownership () const
const communicator & | comm () const
reference | operator[] (size_type i)
const_reference | operator[] (size_type i) const
const_reference | dis_at (size_type dis_i) const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
template<class Set >
void | append_dis_indexes (const Set &ext_idx_set) const
void | update_dis_entries () const
dis_reference | dis_entry (size_type dis_i)
void | dis_entry_assembly ()
template<class SetOp >
void | dis_entry_assembly (SetOp my_set_op)
template<class SetOp >
void | dis_entry_assembly_begin (SetOp my_set_op)
template<class SetOp >
void | dis_entry_assembly_end (SetOp my_set_op)
odiststream & | put_values (odiststream &ops) const
idiststream & | get_values (idiststream &ips)
template<class GetFunction >
idiststream & | get_values (idiststream &ips, GetFunction get_element)
template<class PutFunction >
odiststream & | put_values (odiststream &ops, PutFunction put_element) const
Public Member Functions inherited from smart_pointer< hack_array_seq_rep< T, A > >
| smart_pointer (hack_array_seq_rep< T, A > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< hack_array_seq_rep< T, A > > &x)
smart_pointer< hack_array_seq_rep< T, A > > & | operator= (const smart_pointer< hack_array_seq_rep< T, A > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T , class A >

typedef hack_array_seq_rep<T,A> rep

Definition at line 360 of file hack_array.h.

## base

template<class T , class A >

typedef smart_pointer<rep> base

Definition at line 361 of file hack_array.h.

## memory_type

template<class T , class A >

typedef sequential memory_type

Definition at line 363 of file hack_array.h.

## size_type

template<class T , class A >

typedef rep::size_type size_type

Definition at line 364 of file hack_array.h.

## value_type

template<class T , class A >

typedef rep::value_type value_type

Definition at line 365 of file hack_array.h.

## reference

template<class T , class A >

typedef rep::reference reference

Definition at line 366 of file hack_array.h.

## dis_reference

template<class T , class A >

typedef rep::dis_reference dis_reference

Definition at line 367 of file hack_array.h.

## iterator

template<class T , class A >

typedef rep::iterator iterator

Definition at line 368 of file hack_array.h.

## const_reference

template<class T , class A >

typedef rep::const_reference const_reference

Definition at line 369 of file hack_array.h.

## const_iterator

template<class T , class A >

typedef rep::const_iterator const_iterator

Definition at line 370 of file hack_array.h.

## parameter_type

template<class T , class A >

typedef rep::parameter_type parameter_type

Definition at line 371 of file hack_array.h.

## Constructor & Destructor Documentation

## hack_array() [1/3]

template<class T , class A >

hack_array | ( | const A & | alloc = `A()` | ) |

Definition at line 448 of file hack_array.h.

## hack_array() [2/3]

template<class T , class A >

hack_array | ( | size_type | loc_size,
|  | const parameter_type & | param,
|  | const A & | alloc = `A()`
| ) |  |

Definition at line 455 of file hack_array.h.

## hack_array() [3/3]

template<class T , class A >

hack_array | ( | const distributor & | ownership,
|  | const parameter_type & | param,
|  | const A & | alloc = `A()`
| ) |  |

Definition at line 464 of file hack_array.h.

## Member Function Documentation

## resize() [1/2]

template<class T , class A >

void resize | ( | const distributor & | ownership,
|  | const parameter_type & | param
| ) |  |

Definition at line 483 of file hack_array.h.

## resize() [2/2]

template<class T , class A >

void resize | ( | size_type | loc_size,
|  | const parameter_type & | param
| ) |  |

Definition at line 474 of file hack_array.h.

## get_allocator()

template<class T , class A >

A get_allocator | ( |  | ) | const

Definition at line 383 of file hack_array.h.

## size()

template<class T , class A >

size_type size | ( |  | ) | const

Definition at line 384 of file hack_array.h.

## dis_size()

template<class T , class A >

size_type dis_size | ( |  | ) | const

Definition at line 385 of file hack_array.h.

## ownership()

template<class T , class A >

const distributor & ownership | ( |  | ) | const

Definition at line 386 of file hack_array.h.

## comm()

template<class T , class A >

const communicator & comm | ( |  | ) | const

Definition at line 387 of file hack_array.h.

## operator[]() [1/2]

template<class T , class A >

reference operator[] | ( | size_type | i | ) |

Definition at line 389 of file hack_array.h.

## operator[]() [2/2]

template<class T , class A >

const_reference operator[] | ( | size_type | i | ) | const

Definition at line 390 of file hack_array.h.

## dis_at()

template<class T , class A >

const_reference dis_at | ( | size_type | dis_i | ) | const

Definition at line 392 of file hack_array.h.

## begin() [1/2]

template<class T , class A >

iterator begin | ( |  | ) |

Definition at line 394 of file hack_array.h.

## begin() [2/2]

template<class T , class A >

const_iterator begin | ( |  | ) | const

Definition at line 395 of file hack_array.h.

## end() [1/2]

template<class T , class A >

iterator end | ( |  | ) |

Definition at line 396 of file hack_array.h.

## end() [2/2]

template<class T , class A >

const_iterator end | ( |  | ) | const

Definition at line 397 of file hack_array.h.

## append_dis_indexes()

template<class T , class A >
template<class Set >

void append_dis_indexes | ( | const Set & | ext_idx_set | ) | const

Definition at line 401 of file hack_array.h.

## update_dis_entries()

template<class T , class A >

void update_dis_entries | ( |  | ) | const

Definition at line 402 of file hack_array.h.

## dis_entry()

template<class T , class A >

dis_reference dis_entry | ( | size_type | dis_i | ) |

Definition at line 406 of file hack_array.h.

## dis_entry_assembly() [1/2]

template<class T , class A >

void dis_entry_assembly | ( |  | ) |

Definition at line 407 of file hack_array.h.

## dis_entry_assembly() [2/2]

template<class T , class A >
template<class SetOp >

void dis_entry_assembly | ( | SetOp | my_set_op | ) |

Definition at line 409 of file hack_array.h.

## dis_entry_assembly_begin()

template<class T , class A >
template<class SetOp >

void dis_entry_assembly_begin | ( | SetOp | my_set_op | ) |

Definition at line 411 of file hack_array.h.

## dis_entry_assembly_end()

template<class T , class A >
template<class SetOp >

void dis_entry_assembly_end | ( | SetOp | my_set_op | ) |

Definition at line 413 of file hack_array.h.

## put_values() [1/2]

template<class T , class A >

odiststream & put_values | ( | odiststream & | ops | ) | const

Definition at line 435 of file hack_array.h.

## get_values() [1/2]

template<class T , class A >

idiststream & get_values | ( | idiststream & | ips | ) |

Definition at line 436 of file hack_array.h.

## get_values() [2/2]

template<class T , class A >
template<class GetFunction >

idiststream & get_values | ( | idiststream & | ips,
|  | GetFunction | get_element
| ) |  |

Definition at line 438 of file hack_array.h.

## put_values() [2/2]

template<class T , class A >
template<class PutFunction >

odiststream & put_values | ( | odiststream & | ops,
|  | PutFunction | put_element
| ) |  | const

Definition at line 440 of file hack_array.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/hack_array.h